path: /build/build/imagesize-dev-python-1.4.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/imagesize -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/imagesize
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/imagesize && luet-portage --dir /pkgdir/imagesize
    dev-python/imagesize && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:654e5c82f31ae08d52110a2cdaecc45a1376c9b7b2740b40cc8e55a70958187b
  package:
    name: imagesize
    version: 1.4.1
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race1
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Pure Python module for getting image size from png/jpeg/jpeg2000/gif
      files
    uri:
    - https://github.com/shibukawa/imagesize_py
    license: MIT
    buildtimestamp: 2023-08-14 21:24:22.938693577 +0000 UTC m=+42.661365332
    labels:
      BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        test? ( dev-python/pytest[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        )
      IUSE: test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
      RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/imagesize
      kit: python-modules-kit
      original.package.name: dev-python/imagesize
      original.package.slot: "0"
      original.package.version: 1.4.1
    treedir: /build/packages
  package_dir: /pkgdir/imagesize
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 85f1498aa681f5b4482d5567e1ba5ee7c3f87a587f32d61c895167db56a434f4
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/imagesize/__init__.py
- usr/lib/python3.9/site-packages/imagesize/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/imagesize/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/imagesize/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/imagesize/__pycache__/imagesize.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/imagesize/__pycache__/imagesize.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/imagesize/__pycache__/imagesize.cpython-39.pyc
- usr/lib/python3.9/site-packages/imagesize/imagesize.py
- usr/lib/python3.9/site-packages/imagesize-1.4.1-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/imagesize-1.4.1-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/imagesize-1.4.1-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/imagesize-1.4.1-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/imagesize-1.4.1-py3.9.egg-info/top_level.txt
- usr/share/doc/imagesize-1.4.1/README.rst.bz2
- var/db/pkg/dev-python/imagesize-1.4.1/BDEPEND
- var/db/pkg/dev-python/imagesize-1.4.1/BUILD_TIME
- var/db/pkg/dev-python/imagesize-1.4.1/CATEGORY
- var/db/pkg/dev-python/imagesize-1.4.1/CBUILD
- var/db/pkg/dev-python/imagesize-1.4.1/CFLAGS
- var/db/pkg/dev-python/imagesize-1.4.1/CHOST
- var/db/pkg/dev-python/imagesize-1.4.1/CONTENTS
- var/db/pkg/dev-python/imagesize-1.4.1/COUNTER
- var/db/pkg/dev-python/imagesize-1.4.1/CXXFLAGS
- var/db/pkg/dev-python/imagesize-1.4.1/DEFINED_PHASES
- var/db/pkg/dev-python/imagesize-1.4.1/DEPEND
- var/db/pkg/dev-python/imagesize-1.4.1/DESCRIPTION
- var/db/pkg/dev-python/imagesize-1.4.1/EAPI
- var/db/pkg/dev-python/imagesize-1.4.1/FEATURES
- var/db/pkg/dev-python/imagesize-1.4.1/HOMEPAGE
- var/db/pkg/dev-python/imagesize-1.4.1/INHERITED
- var/db/pkg/dev-python/imagesize-1.4.1/IUSE
- var/db/pkg/dev-python/imagesize-1.4.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/imagesize-1.4.1/KEYWORDS
- var/db/pkg/dev-python/imagesize-1.4.1/LDFLAGS
- var/db/pkg/dev-python/imagesize-1.4.1/LICENSE
- var/db/pkg/dev-python/imagesize-1.4.1/PF
- var/db/pkg/dev-python/imagesize-1.4.1/RDEPEND
- var/db/pkg/dev-python/imagesize-1.4.1/SIZE
- var/db/pkg/dev-python/imagesize-1.4.1/SLOT
- var/db/pkg/dev-python/imagesize-1.4.1/USE
- var/db/pkg/dev-python/imagesize-1.4.1/environment.bz2
- var/db/pkg/dev-python/imagesize-1.4.1/imagesize-1.4.1.ebuild
- var/db/pkg/dev-python/imagesize-1.4.1/repository
package_cacheimage: ""
runtime:
  name: imagesize
  version: 1.4.1
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Pure Python module for getting image size from png/jpeg/jpeg2000/gif
    files
  uri:
  - https://github.com/shibukawa/imagesize_py
  license: MIT
  labels:
    BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      test? ( dev-python/pytest[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      )
    IUSE: test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/imagesize
    kit: python-modules-kit
    original.package.name: dev-python/imagesize
    original.package.slot: "0"
    original.package.version: 1.4.1
